"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextTranslationJobFilter = exports.InvalidFilterException = exports.ListTerminologiesResponse = exports.ListTerminologiesRequest = exports.ListParallelDataResponse = exports.ListParallelDataRequest = exports.ImportTerminologyResponse = exports.ImportTerminologyRequest = exports.TerminologyData = exports.MergeStrategy = exports.GetTerminologyResponse = exports.TerminologyProperties = exports.Directionality = exports.TerminologyDataLocation = exports.GetTerminologyRequest = exports.TerminologyDataFormat = exports.GetParallelDataResponse = exports.ParallelDataProperties = exports.ParallelDataDataLocation = exports.GetParallelDataRequest = exports.DescribeTextTranslationJobResponse = exports.TextTranslationJobProperties = exports.TranslationSettings = exports.Profanity = exports.Formality = exports.OutputDataConfig = exports.JobStatus = exports.JobDetails = exports.InputDataConfig = exports.DescribeTextTranslationJobRequest = exports.DeleteTerminologyRequest = exports.ResourceNotFoundException = exports.DeleteParallelDataResponse = exports.DeleteParallelDataRequest = exports.ConcurrentModificationException = exports.TooManyRequestsException = exports.LimitExceededException = exports.InvalidRequestException = exports.InvalidParameterValueException = exports.InternalServerException = exports.CreateParallelDataResponse = exports.ParallelDataStatus = exports.CreateParallelDataRequest = exports.ParallelDataConfig = exports.ParallelDataFormat = exports.EncryptionKey = exports.EncryptionKeyType = exports.ConflictException = exports.AppliedTerminology = exports.Term = void 0;
exports.UpdateParallelDataResponse = exports.UpdateParallelDataRequest = exports.TranslateTextResponse = exports.TranslateTextRequest = exports.TextSizeLimitExceededException = exports.ServiceUnavailableException = exports.DetectedLanguageLowConfidenceException = exports.StopTextTranslationJobResponse = exports.StopTextTranslationJobRequest = exports.UnsupportedLanguagePairException = exports.StartTextTranslationJobResponse = exports.StartTextTranslationJobRequest = exports.ListTextTranslationJobsResponse = exports.ListTextTranslationJobsRequest = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const TranslateServiceException_1 = require("./TranslateServiceException");
var Term;
(function (Term) {
    Term.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Term = exports.Term || (exports.Term = {}));
var AppliedTerminology;
(function (AppliedTerminology) {
    AppliedTerminology.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AppliedTerminology = exports.AppliedTerminology || (exports.AppliedTerminology = {}));
class ConflictException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Message = opts.Message;
    }
}
exports.ConflictException = ConflictException;
var EncryptionKeyType;
(function (EncryptionKeyType) {
    EncryptionKeyType["KMS"] = "KMS";
})(EncryptionKeyType = exports.EncryptionKeyType || (exports.EncryptionKeyType = {}));
var EncryptionKey;
(function (EncryptionKey) {
    EncryptionKey.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EncryptionKey = exports.EncryptionKey || (exports.EncryptionKey = {}));
var ParallelDataFormat;
(function (ParallelDataFormat) {
    ParallelDataFormat["CSV"] = "CSV";
    ParallelDataFormat["TMX"] = "TMX";
    ParallelDataFormat["TSV"] = "TSV";
})(ParallelDataFormat = exports.ParallelDataFormat || (exports.ParallelDataFormat = {}));
var ParallelDataConfig;
(function (ParallelDataConfig) {
    ParallelDataConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParallelDataConfig = exports.ParallelDataConfig || (exports.ParallelDataConfig = {}));
var CreateParallelDataRequest;
(function (CreateParallelDataRequest) {
    CreateParallelDataRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateParallelDataRequest = exports.CreateParallelDataRequest || (exports.CreateParallelDataRequest = {}));
var ParallelDataStatus;
(function (ParallelDataStatus) {
    ParallelDataStatus["ACTIVE"] = "ACTIVE";
    ParallelDataStatus["CREATING"] = "CREATING";
    ParallelDataStatus["DELETING"] = "DELETING";
    ParallelDataStatus["FAILED"] = "FAILED";
    ParallelDataStatus["UPDATING"] = "UPDATING";
})(ParallelDataStatus = exports.ParallelDataStatus || (exports.ParallelDataStatus = {}));
var CreateParallelDataResponse;
(function (CreateParallelDataResponse) {
    CreateParallelDataResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateParallelDataResponse = exports.CreateParallelDataResponse || (exports.CreateParallelDataResponse = {}));
class InternalServerException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerException.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalServerException = InternalServerException;
class InvalidParameterValueException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "InvalidParameterValueException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterValueException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterValueException.prototype);
        this.Message = opts.Message;
    }
}
exports.InvalidParameterValueException = InvalidParameterValueException;
class InvalidRequestException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "InvalidRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidRequestException.prototype);
        this.Message = opts.Message;
    }
}
exports.InvalidRequestException = InvalidRequestException;
class LimitExceededException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "LimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "LimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LimitExceededException.prototype);
        this.Message = opts.Message;
    }
}
exports.LimitExceededException = LimitExceededException;
class TooManyRequestsException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "TooManyRequestsException",
            $fault: "client",
            ...opts,
        });
        this.name = "TooManyRequestsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TooManyRequestsException.prototype);
        this.Message = opts.Message;
    }
}
exports.TooManyRequestsException = TooManyRequestsException;
class ConcurrentModificationException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "ConcurrentModificationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConcurrentModificationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConcurrentModificationException.prototype);
        this.Message = opts.Message;
    }
}
exports.ConcurrentModificationException = ConcurrentModificationException;
var DeleteParallelDataRequest;
(function (DeleteParallelDataRequest) {
    DeleteParallelDataRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteParallelDataRequest = exports.DeleteParallelDataRequest || (exports.DeleteParallelDataRequest = {}));
var DeleteParallelDataResponse;
(function (DeleteParallelDataResponse) {
    DeleteParallelDataResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteParallelDataResponse = exports.DeleteParallelDataResponse || (exports.DeleteParallelDataResponse = {}));
class ResourceNotFoundException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
var DeleteTerminologyRequest;
(function (DeleteTerminologyRequest) {
    DeleteTerminologyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTerminologyRequest = exports.DeleteTerminologyRequest || (exports.DeleteTerminologyRequest = {}));
var DescribeTextTranslationJobRequest;
(function (DescribeTextTranslationJobRequest) {
    DescribeTextTranslationJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeTextTranslationJobRequest = exports.DescribeTextTranslationJobRequest || (exports.DescribeTextTranslationJobRequest = {}));
var InputDataConfig;
(function (InputDataConfig) {
    InputDataConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InputDataConfig = exports.InputDataConfig || (exports.InputDataConfig = {}));
var JobDetails;
(function (JobDetails) {
    JobDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(JobDetails = exports.JobDetails || (exports.JobDetails = {}));
var JobStatus;
(function (JobStatus) {
    JobStatus["COMPLETED"] = "COMPLETED";
    JobStatus["COMPLETED_WITH_ERROR"] = "COMPLETED_WITH_ERROR";
    JobStatus["FAILED"] = "FAILED";
    JobStatus["IN_PROGRESS"] = "IN_PROGRESS";
    JobStatus["STOPPED"] = "STOPPED";
    JobStatus["STOP_REQUESTED"] = "STOP_REQUESTED";
    JobStatus["SUBMITTED"] = "SUBMITTED";
})(JobStatus = exports.JobStatus || (exports.JobStatus = {}));
var OutputDataConfig;
(function (OutputDataConfig) {
    OutputDataConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OutputDataConfig = exports.OutputDataConfig || (exports.OutputDataConfig = {}));
var Formality;
(function (Formality) {
    Formality["FORMAL"] = "FORMAL";
    Formality["INFORMAL"] = "INFORMAL";
})(Formality = exports.Formality || (exports.Formality = {}));
var Profanity;
(function (Profanity) {
    Profanity["MASK"] = "MASK";
})(Profanity = exports.Profanity || (exports.Profanity = {}));
var TranslationSettings;
(function (TranslationSettings) {
    TranslationSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TranslationSettings = exports.TranslationSettings || (exports.TranslationSettings = {}));
var TextTranslationJobProperties;
(function (TextTranslationJobProperties) {
    TextTranslationJobProperties.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TextTranslationJobProperties = exports.TextTranslationJobProperties || (exports.TextTranslationJobProperties = {}));
var DescribeTextTranslationJobResponse;
(function (DescribeTextTranslationJobResponse) {
    DescribeTextTranslationJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeTextTranslationJobResponse = exports.DescribeTextTranslationJobResponse || (exports.DescribeTextTranslationJobResponse = {}));
var GetParallelDataRequest;
(function (GetParallelDataRequest) {
    GetParallelDataRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetParallelDataRequest = exports.GetParallelDataRequest || (exports.GetParallelDataRequest = {}));
var ParallelDataDataLocation;
(function (ParallelDataDataLocation) {
    ParallelDataDataLocation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParallelDataDataLocation = exports.ParallelDataDataLocation || (exports.ParallelDataDataLocation = {}));
var ParallelDataProperties;
(function (ParallelDataProperties) {
    ParallelDataProperties.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParallelDataProperties = exports.ParallelDataProperties || (exports.ParallelDataProperties = {}));
var GetParallelDataResponse;
(function (GetParallelDataResponse) {
    GetParallelDataResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetParallelDataResponse = exports.GetParallelDataResponse || (exports.GetParallelDataResponse = {}));
var TerminologyDataFormat;
(function (TerminologyDataFormat) {
    TerminologyDataFormat["CSV"] = "CSV";
    TerminologyDataFormat["TMX"] = "TMX";
    TerminologyDataFormat["TSV"] = "TSV";
})(TerminologyDataFormat = exports.TerminologyDataFormat || (exports.TerminologyDataFormat = {}));
var GetTerminologyRequest;
(function (GetTerminologyRequest) {
    GetTerminologyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetTerminologyRequest = exports.GetTerminologyRequest || (exports.GetTerminologyRequest = {}));
var TerminologyDataLocation;
(function (TerminologyDataLocation) {
    TerminologyDataLocation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TerminologyDataLocation = exports.TerminologyDataLocation || (exports.TerminologyDataLocation = {}));
var Directionality;
(function (Directionality) {
    Directionality["MULTI"] = "MULTI";
    Directionality["UNI"] = "UNI";
})(Directionality = exports.Directionality || (exports.Directionality = {}));
var TerminologyProperties;
(function (TerminologyProperties) {
    TerminologyProperties.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TerminologyProperties = exports.TerminologyProperties || (exports.TerminologyProperties = {}));
var GetTerminologyResponse;
(function (GetTerminologyResponse) {
    GetTerminologyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetTerminologyResponse = exports.GetTerminologyResponse || (exports.GetTerminologyResponse = {}));
var MergeStrategy;
(function (MergeStrategy) {
    MergeStrategy["OVERWRITE"] = "OVERWRITE";
})(MergeStrategy = exports.MergeStrategy || (exports.MergeStrategy = {}));
var TerminologyData;
(function (TerminologyData) {
    TerminologyData.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.File && { File: smithy_client_1.SENSITIVE_STRING }),
    });
})(TerminologyData = exports.TerminologyData || (exports.TerminologyData = {}));
var ImportTerminologyRequest;
(function (ImportTerminologyRequest) {
    ImportTerminologyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.TerminologyData && { TerminologyData: TerminologyData.filterSensitiveLog(obj.TerminologyData) }),
    });
})(ImportTerminologyRequest = exports.ImportTerminologyRequest || (exports.ImportTerminologyRequest = {}));
var ImportTerminologyResponse;
(function (ImportTerminologyResponse) {
    ImportTerminologyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ImportTerminologyResponse = exports.ImportTerminologyResponse || (exports.ImportTerminologyResponse = {}));
var ListParallelDataRequest;
(function (ListParallelDataRequest) {
    ListParallelDataRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListParallelDataRequest = exports.ListParallelDataRequest || (exports.ListParallelDataRequest = {}));
var ListParallelDataResponse;
(function (ListParallelDataResponse) {
    ListParallelDataResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListParallelDataResponse = exports.ListParallelDataResponse || (exports.ListParallelDataResponse = {}));
var ListTerminologiesRequest;
(function (ListTerminologiesRequest) {
    ListTerminologiesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTerminologiesRequest = exports.ListTerminologiesRequest || (exports.ListTerminologiesRequest = {}));
var ListTerminologiesResponse;
(function (ListTerminologiesResponse) {
    ListTerminologiesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTerminologiesResponse = exports.ListTerminologiesResponse || (exports.ListTerminologiesResponse = {}));
class InvalidFilterException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "InvalidFilterException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidFilterException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidFilterException.prototype);
        this.Message = opts.Message;
    }
}
exports.InvalidFilterException = InvalidFilterException;
var TextTranslationJobFilter;
(function (TextTranslationJobFilter) {
    TextTranslationJobFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TextTranslationJobFilter = exports.TextTranslationJobFilter || (exports.TextTranslationJobFilter = {}));
var ListTextTranslationJobsRequest;
(function (ListTextTranslationJobsRequest) {
    ListTextTranslationJobsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTextTranslationJobsRequest = exports.ListTextTranslationJobsRequest || (exports.ListTextTranslationJobsRequest = {}));
var ListTextTranslationJobsResponse;
(function (ListTextTranslationJobsResponse) {
    ListTextTranslationJobsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTextTranslationJobsResponse = exports.ListTextTranslationJobsResponse || (exports.ListTextTranslationJobsResponse = {}));
var StartTextTranslationJobRequest;
(function (StartTextTranslationJobRequest) {
    StartTextTranslationJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartTextTranslationJobRequest = exports.StartTextTranslationJobRequest || (exports.StartTextTranslationJobRequest = {}));
var StartTextTranslationJobResponse;
(function (StartTextTranslationJobResponse) {
    StartTextTranslationJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartTextTranslationJobResponse = exports.StartTextTranslationJobResponse || (exports.StartTextTranslationJobResponse = {}));
class UnsupportedLanguagePairException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "UnsupportedLanguagePairException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnsupportedLanguagePairException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnsupportedLanguagePairException.prototype);
        this.Message = opts.Message;
        this.SourceLanguageCode = opts.SourceLanguageCode;
        this.TargetLanguageCode = opts.TargetLanguageCode;
    }
}
exports.UnsupportedLanguagePairException = UnsupportedLanguagePairException;
var StopTextTranslationJobRequest;
(function (StopTextTranslationJobRequest) {
    StopTextTranslationJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopTextTranslationJobRequest = exports.StopTextTranslationJobRequest || (exports.StopTextTranslationJobRequest = {}));
var StopTextTranslationJobResponse;
(function (StopTextTranslationJobResponse) {
    StopTextTranslationJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopTextTranslationJobResponse = exports.StopTextTranslationJobResponse || (exports.StopTextTranslationJobResponse = {}));
class DetectedLanguageLowConfidenceException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "DetectedLanguageLowConfidenceException",
            $fault: "client",
            ...opts,
        });
        this.name = "DetectedLanguageLowConfidenceException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DetectedLanguageLowConfidenceException.prototype);
        this.Message = opts.Message;
        this.DetectedLanguageCode = opts.DetectedLanguageCode;
    }
}
exports.DetectedLanguageLowConfidenceException = DetectedLanguageLowConfidenceException;
class ServiceUnavailableException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "ServiceUnavailableException",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceUnavailableException";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceUnavailableException.prototype);
        this.Message = opts.Message;
    }
}
exports.ServiceUnavailableException = ServiceUnavailableException;
class TextSizeLimitExceededException extends TranslateServiceException_1.TranslateServiceException {
    constructor(opts) {
        super({
            name: "TextSizeLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "TextSizeLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TextSizeLimitExceededException.prototype);
        this.Message = opts.Message;
    }
}
exports.TextSizeLimitExceededException = TextSizeLimitExceededException;
var TranslateTextRequest;
(function (TranslateTextRequest) {
    TranslateTextRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TranslateTextRequest = exports.TranslateTextRequest || (exports.TranslateTextRequest = {}));
var TranslateTextResponse;
(function (TranslateTextResponse) {
    TranslateTextResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TranslateTextResponse = exports.TranslateTextResponse || (exports.TranslateTextResponse = {}));
var UpdateParallelDataRequest;
(function (UpdateParallelDataRequest) {
    UpdateParallelDataRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateParallelDataRequest = exports.UpdateParallelDataRequest || (exports.UpdateParallelDataRequest = {}));
var UpdateParallelDataResponse;
(function (UpdateParallelDataResponse) {
    UpdateParallelDataResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateParallelDataResponse = exports.UpdateParallelDataResponse || (exports.UpdateParallelDataResponse = {}));
