"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateListParallelData = void 0;
const ListParallelDataCommand_1 = require("../commands/ListParallelDataCommand");
const Translate_1 = require("../Translate");
const TranslateClient_1 = require("../TranslateClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListParallelDataCommand_1.ListParallelDataCommand(input), ...args);
};
const makePagedRequest = async (client, input, ...args) => {
    return await client.listParallelData(input, ...args);
};
async function* paginateListParallelData(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof Translate_1.Translate) {
            page = await makePagedRequest(config.client, input, ...additionalArguments);
        }
        else if (config.client instanceof TranslateClient_1.TranslateClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected Translate | TranslateClient");
        }
        yield page;
        token = page.NextToken;
        hasNext = !!token;
    }
    return undefined;
}
exports.paginateListParallelData = paginateListParallelData;
