import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteParallelDataRequest, DeleteParallelDataResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteParallelDataCommand, serializeAws_json1_1DeleteParallelDataCommand, } from "../protocols/Aws_json1_1";
var DeleteParallelDataCommand = (function (_super) {
    __extends(DeleteParallelDataCommand, _super);
    function DeleteParallelDataCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteParallelDataCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "TranslateClient";
        var commandName = "DeleteParallelDataCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteParallelDataRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteParallelDataResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteParallelDataCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteParallelDataCommand(input, context);
    };
    DeleteParallelDataCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteParallelDataCommand(output, context);
    };
    return DeleteParallelDataCommand;
}($Command));
export { DeleteParallelDataCommand };
