import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteTerminologyRequest } from "../models/models_0";
import { deserializeAws_json1_1DeleteTerminologyCommand, serializeAws_json1_1DeleteTerminologyCommand, } from "../protocols/Aws_json1_1";
var DeleteTerminologyCommand = (function (_super) {
    __extends(DeleteTerminologyCommand, _super);
    function DeleteTerminologyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteTerminologyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "TranslateClient";
        var commandName = "DeleteTerminologyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteTerminologyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteTerminologyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteTerminologyCommand(input, context);
    };
    DeleteTerminologyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteTerminologyCommand(output, context);
    };
    return DeleteTerminologyCommand;
}($Command));
export { DeleteTerminologyCommand };
