import { __assign, __extends } from "tslib";
import { SENSITIVE_STRING } from "@aws-sdk/smithy-client";
import { TranslateServiceException as __BaseException } from "./TranslateServiceException";
export var Term;
(function (Term) {
    Term.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Term || (Term = {}));
export var AppliedTerminology;
(function (AppliedTerminology) {
    AppliedTerminology.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AppliedTerminology || (AppliedTerminology = {}));
var ConflictException = (function (_super) {
    __extends(ConflictException, _super);
    function ConflictException(opts) {
        var _this = _super.call(this, __assign({ name: "ConflictException", $fault: "client" }, opts)) || this;
        _this.name = "ConflictException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConflictException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ConflictException;
}(__BaseException));
export { ConflictException };
export var EncryptionKeyType;
(function (EncryptionKeyType) {
    EncryptionKeyType["KMS"] = "KMS";
})(EncryptionKeyType || (EncryptionKeyType = {}));
export var EncryptionKey;
(function (EncryptionKey) {
    EncryptionKey.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EncryptionKey || (EncryptionKey = {}));
export var ParallelDataFormat;
(function (ParallelDataFormat) {
    ParallelDataFormat["CSV"] = "CSV";
    ParallelDataFormat["TMX"] = "TMX";
    ParallelDataFormat["TSV"] = "TSV";
})(ParallelDataFormat || (ParallelDataFormat = {}));
export var ParallelDataConfig;
(function (ParallelDataConfig) {
    ParallelDataConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ParallelDataConfig || (ParallelDataConfig = {}));
export var CreateParallelDataRequest;
(function (CreateParallelDataRequest) {
    CreateParallelDataRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateParallelDataRequest || (CreateParallelDataRequest = {}));
export var ParallelDataStatus;
(function (ParallelDataStatus) {
    ParallelDataStatus["ACTIVE"] = "ACTIVE";
    ParallelDataStatus["CREATING"] = "CREATING";
    ParallelDataStatus["DELETING"] = "DELETING";
    ParallelDataStatus["FAILED"] = "FAILED";
    ParallelDataStatus["UPDATING"] = "UPDATING";
})(ParallelDataStatus || (ParallelDataStatus = {}));
export var CreateParallelDataResponse;
(function (CreateParallelDataResponse) {
    CreateParallelDataResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateParallelDataResponse || (CreateParallelDataResponse = {}));
var InternalServerException = (function (_super) {
    __extends(InternalServerException, _super);
    function InternalServerException(opts) {
        var _this = _super.call(this, __assign({ name: "InternalServerException", $fault: "server" }, opts)) || this;
        _this.name = "InternalServerException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalServerException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InternalServerException;
}(__BaseException));
export { InternalServerException };
var InvalidParameterValueException = (function (_super) {
    __extends(InvalidParameterValueException, _super);
    function InvalidParameterValueException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidParameterValueException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidParameterValueException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidParameterValueException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidParameterValueException;
}(__BaseException));
export { InvalidParameterValueException };
var InvalidRequestException = (function (_super) {
    __extends(InvalidRequestException, _super);
    function InvalidRequestException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidRequestException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidRequestException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidRequestException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidRequestException;
}(__BaseException));
export { InvalidRequestException };
var LimitExceededException = (function (_super) {
    __extends(LimitExceededException, _super);
    function LimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "LimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "LimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, LimitExceededException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return LimitExceededException;
}(__BaseException));
export { LimitExceededException };
var TooManyRequestsException = (function (_super) {
    __extends(TooManyRequestsException, _super);
    function TooManyRequestsException(opts) {
        var _this = _super.call(this, __assign({ name: "TooManyRequestsException", $fault: "client" }, opts)) || this;
        _this.name = "TooManyRequestsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TooManyRequestsException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return TooManyRequestsException;
}(__BaseException));
export { TooManyRequestsException };
var ConcurrentModificationException = (function (_super) {
    __extends(ConcurrentModificationException, _super);
    function ConcurrentModificationException(opts) {
        var _this = _super.call(this, __assign({ name: "ConcurrentModificationException", $fault: "client" }, opts)) || this;
        _this.name = "ConcurrentModificationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConcurrentModificationException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ConcurrentModificationException;
}(__BaseException));
export { ConcurrentModificationException };
export var DeleteParallelDataRequest;
(function (DeleteParallelDataRequest) {
    DeleteParallelDataRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteParallelDataRequest || (DeleteParallelDataRequest = {}));
export var DeleteParallelDataResponse;
(function (DeleteParallelDataResponse) {
    DeleteParallelDataResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteParallelDataResponse || (DeleteParallelDataResponse = {}));
var ResourceNotFoundException = (function (_super) {
    __extends(ResourceNotFoundException, _super);
    function ResourceNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceNotFoundException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ResourceNotFoundException;
}(__BaseException));
export { ResourceNotFoundException };
export var DeleteTerminologyRequest;
(function (DeleteTerminologyRequest) {
    DeleteTerminologyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteTerminologyRequest || (DeleteTerminologyRequest = {}));
export var DescribeTextTranslationJobRequest;
(function (DescribeTextTranslationJobRequest) {
    DescribeTextTranslationJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTextTranslationJobRequest || (DescribeTextTranslationJobRequest = {}));
export var InputDataConfig;
(function (InputDataConfig) {
    InputDataConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InputDataConfig || (InputDataConfig = {}));
export var JobDetails;
(function (JobDetails) {
    JobDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(JobDetails || (JobDetails = {}));
export var JobStatus;
(function (JobStatus) {
    JobStatus["COMPLETED"] = "COMPLETED";
    JobStatus["COMPLETED_WITH_ERROR"] = "COMPLETED_WITH_ERROR";
    JobStatus["FAILED"] = "FAILED";
    JobStatus["IN_PROGRESS"] = "IN_PROGRESS";
    JobStatus["STOPPED"] = "STOPPED";
    JobStatus["STOP_REQUESTED"] = "STOP_REQUESTED";
    JobStatus["SUBMITTED"] = "SUBMITTED";
})(JobStatus || (JobStatus = {}));
export var OutputDataConfig;
(function (OutputDataConfig) {
    OutputDataConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OutputDataConfig || (OutputDataConfig = {}));
export var Formality;
(function (Formality) {
    Formality["FORMAL"] = "FORMAL";
    Formality["INFORMAL"] = "INFORMAL";
})(Formality || (Formality = {}));
export var Profanity;
(function (Profanity) {
    Profanity["MASK"] = "MASK";
})(Profanity || (Profanity = {}));
export var TranslationSettings;
(function (TranslationSettings) {
    TranslationSettings.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TranslationSettings || (TranslationSettings = {}));
export var TextTranslationJobProperties;
(function (TextTranslationJobProperties) {
    TextTranslationJobProperties.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TextTranslationJobProperties || (TextTranslationJobProperties = {}));
export var DescribeTextTranslationJobResponse;
(function (DescribeTextTranslationJobResponse) {
    DescribeTextTranslationJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTextTranslationJobResponse || (DescribeTextTranslationJobResponse = {}));
export var GetParallelDataRequest;
(function (GetParallelDataRequest) {
    GetParallelDataRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetParallelDataRequest || (GetParallelDataRequest = {}));
export var ParallelDataDataLocation;
(function (ParallelDataDataLocation) {
    ParallelDataDataLocation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ParallelDataDataLocation || (ParallelDataDataLocation = {}));
export var ParallelDataProperties;
(function (ParallelDataProperties) {
    ParallelDataProperties.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ParallelDataProperties || (ParallelDataProperties = {}));
export var GetParallelDataResponse;
(function (GetParallelDataResponse) {
    GetParallelDataResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetParallelDataResponse || (GetParallelDataResponse = {}));
export var TerminologyDataFormat;
(function (TerminologyDataFormat) {
    TerminologyDataFormat["CSV"] = "CSV";
    TerminologyDataFormat["TMX"] = "TMX";
    TerminologyDataFormat["TSV"] = "TSV";
})(TerminologyDataFormat || (TerminologyDataFormat = {}));
export var GetTerminologyRequest;
(function (GetTerminologyRequest) {
    GetTerminologyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetTerminologyRequest || (GetTerminologyRequest = {}));
export var TerminologyDataLocation;
(function (TerminologyDataLocation) {
    TerminologyDataLocation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TerminologyDataLocation || (TerminologyDataLocation = {}));
export var Directionality;
(function (Directionality) {
    Directionality["MULTI"] = "MULTI";
    Directionality["UNI"] = "UNI";
})(Directionality || (Directionality = {}));
export var TerminologyProperties;
(function (TerminologyProperties) {
    TerminologyProperties.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TerminologyProperties || (TerminologyProperties = {}));
export var GetTerminologyResponse;
(function (GetTerminologyResponse) {
    GetTerminologyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetTerminologyResponse || (GetTerminologyResponse = {}));
export var MergeStrategy;
(function (MergeStrategy) {
    MergeStrategy["OVERWRITE"] = "OVERWRITE";
})(MergeStrategy || (MergeStrategy = {}));
export var TerminologyData;
(function (TerminologyData) {
    TerminologyData.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.File && { File: SENSITIVE_STRING }))); };
})(TerminologyData || (TerminologyData = {}));
export var ImportTerminologyRequest;
(function (ImportTerminologyRequest) {
    ImportTerminologyRequest.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.TerminologyData && { TerminologyData: TerminologyData.filterSensitiveLog(obj.TerminologyData) }))); };
})(ImportTerminologyRequest || (ImportTerminologyRequest = {}));
export var ImportTerminologyResponse;
(function (ImportTerminologyResponse) {
    ImportTerminologyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ImportTerminologyResponse || (ImportTerminologyResponse = {}));
export var ListParallelDataRequest;
(function (ListParallelDataRequest) {
    ListParallelDataRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListParallelDataRequest || (ListParallelDataRequest = {}));
export var ListParallelDataResponse;
(function (ListParallelDataResponse) {
    ListParallelDataResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListParallelDataResponse || (ListParallelDataResponse = {}));
export var ListTerminologiesRequest;
(function (ListTerminologiesRequest) {
    ListTerminologiesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTerminologiesRequest || (ListTerminologiesRequest = {}));
export var ListTerminologiesResponse;
(function (ListTerminologiesResponse) {
    ListTerminologiesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTerminologiesResponse || (ListTerminologiesResponse = {}));
var InvalidFilterException = (function (_super) {
    __extends(InvalidFilterException, _super);
    function InvalidFilterException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidFilterException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidFilterException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidFilterException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidFilterException;
}(__BaseException));
export { InvalidFilterException };
export var TextTranslationJobFilter;
(function (TextTranslationJobFilter) {
    TextTranslationJobFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TextTranslationJobFilter || (TextTranslationJobFilter = {}));
export var ListTextTranslationJobsRequest;
(function (ListTextTranslationJobsRequest) {
    ListTextTranslationJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTextTranslationJobsRequest || (ListTextTranslationJobsRequest = {}));
export var ListTextTranslationJobsResponse;
(function (ListTextTranslationJobsResponse) {
    ListTextTranslationJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTextTranslationJobsResponse || (ListTextTranslationJobsResponse = {}));
export var StartTextTranslationJobRequest;
(function (StartTextTranslationJobRequest) {
    StartTextTranslationJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartTextTranslationJobRequest || (StartTextTranslationJobRequest = {}));
export var StartTextTranslationJobResponse;
(function (StartTextTranslationJobResponse) {
    StartTextTranslationJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartTextTranslationJobResponse || (StartTextTranslationJobResponse = {}));
var UnsupportedLanguagePairException = (function (_super) {
    __extends(UnsupportedLanguagePairException, _super);
    function UnsupportedLanguagePairException(opts) {
        var _this = _super.call(this, __assign({ name: "UnsupportedLanguagePairException", $fault: "client" }, opts)) || this;
        _this.name = "UnsupportedLanguagePairException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, UnsupportedLanguagePairException.prototype);
        _this.Message = opts.Message;
        _this.SourceLanguageCode = opts.SourceLanguageCode;
        _this.TargetLanguageCode = opts.TargetLanguageCode;
        return _this;
    }
    return UnsupportedLanguagePairException;
}(__BaseException));
export { UnsupportedLanguagePairException };
export var StopTextTranslationJobRequest;
(function (StopTextTranslationJobRequest) {
    StopTextTranslationJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopTextTranslationJobRequest || (StopTextTranslationJobRequest = {}));
export var StopTextTranslationJobResponse;
(function (StopTextTranslationJobResponse) {
    StopTextTranslationJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopTextTranslationJobResponse || (StopTextTranslationJobResponse = {}));
var DetectedLanguageLowConfidenceException = (function (_super) {
    __extends(DetectedLanguageLowConfidenceException, _super);
    function DetectedLanguageLowConfidenceException(opts) {
        var _this = _super.call(this, __assign({ name: "DetectedLanguageLowConfidenceException", $fault: "client" }, opts)) || this;
        _this.name = "DetectedLanguageLowConfidenceException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DetectedLanguageLowConfidenceException.prototype);
        _this.Message = opts.Message;
        _this.DetectedLanguageCode = opts.DetectedLanguageCode;
        return _this;
    }
    return DetectedLanguageLowConfidenceException;
}(__BaseException));
export { DetectedLanguageLowConfidenceException };
var ServiceUnavailableException = (function (_super) {
    __extends(ServiceUnavailableException, _super);
    function ServiceUnavailableException(opts) {
        var _this = _super.call(this, __assign({ name: "ServiceUnavailableException", $fault: "server" }, opts)) || this;
        _this.name = "ServiceUnavailableException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, ServiceUnavailableException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ServiceUnavailableException;
}(__BaseException));
export { ServiceUnavailableException };
var TextSizeLimitExceededException = (function (_super) {
    __extends(TextSizeLimitExceededException, _super);
    function TextSizeLimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "TextSizeLimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "TextSizeLimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TextSizeLimitExceededException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return TextSizeLimitExceededException;
}(__BaseException));
export { TextSizeLimitExceededException };
export var TranslateTextRequest;
(function (TranslateTextRequest) {
    TranslateTextRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TranslateTextRequest || (TranslateTextRequest = {}));
export var TranslateTextResponse;
(function (TranslateTextResponse) {
    TranslateTextResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TranslateTextResponse || (TranslateTextResponse = {}));
export var UpdateParallelDataRequest;
(function (UpdateParallelDataRequest) {
    UpdateParallelDataRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateParallelDataRequest || (UpdateParallelDataRequest = {}));
export var UpdateParallelDataResponse;
(function (UpdateParallelDataResponse) {
    UpdateParallelDataResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateParallelDataResponse || (UpdateParallelDataResponse = {}));
