import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListParallelDataRequest, ListParallelDataResponse } from "../models/models_0";
import { ServiceInputTypes, ServiceOutputTypes, TranslateClientResolvedConfig } from "../TranslateClient";
export interface ListParallelDataCommandInput extends ListParallelDataRequest {
}
export interface ListParallelDataCommandOutput extends ListParallelDataResponse, __MetadataBearer {
}

export declare class ListParallelDataCommand extends $Command<ListParallelDataCommandInput, ListParallelDataCommandOutput, TranslateClientResolvedConfig> {
    readonly input: ListParallelDataCommandInput;
    constructor(input: ListParallelDataCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: TranslateClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListParallelDataCommandInput, ListParallelDataCommandOutput>;
    private serialize;
    private deserialize;
}
